Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface InfomlType

All Known Implementing Classes:
  InfomlTypeImpl

    public interface InfomlType

Java content class for infomlType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 94)

     <complexType name="infomlType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="data" type="{http://infoml.org/infomlFile}contentAgentContainerLocationType" minOccurs="0"/>
             <element name="selectors" type="{http://infoml.org/infomlFile}selectorsType" minOccurs="0"/>
             <element name="properties" type="{http://infoml.org/infomlFile}propertiesType" minOccurs="0"/>
             <element name="commentOn" type="{http://infoml.org/infomlFile}pointersType" minOccurs="0"/>
             <element name="dvprNotes" type="{http://infoml.org/infomlFile}richTextWithOwnerType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="dvprPointers" type="{http://infoml.org/infomlFile}extendedPointersWithOwnerType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="dvprXml" type="{http://infoml.org/infomlFile}anyWithOwnerType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="userNotes" type="{http://infoml.org/infomlFile}richTextWithOwnerType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="userPointers" type="{http://infoml.org/infomlFile}extendedPointersWithOwnerType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="basedOn" type="{http://infoml.org/infomlFile}infoRIType" />
           <attribute name="cardId" use="required" type="{http://infoml.org/infomlFile}idInfoRIType" />
           <attribute name="encoding" use="required" type="{http://infoml.org/infomlFile}nonnullTokenType" />
           <attribute name="treatPointersAs" type="{http://infoml.org/infomlFile}treatPointersType" default="pointers" />
           <attribute name="version" use="required" type="{http://infoml.org/infomlFile}versionType" />
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`java.lang.String` | `getBasedOn()` Gets the value of the basedOn property.
`java.lang.String` | `getCardId()` Gets the value of the cardId property.
`PointersType` | `getCommentOn()` Gets the value of the commentOn property.
`ContentAgentContainerLocationType` | `getData()` Gets the value of the data property.
`java.util.List` | `getDvprNotes()` Gets the value of the DvprNotes property.
`java.util.List` | `getDvprPointers()` Gets the value of the DvprPointers property.
`java.util.List` | `getDvprXml()` Gets the value of the DvprXml property.
`java.lang.String` | `getEncoding()` Gets the value of the encoding property.
`PropertiesType` | `getProperties()` Gets the value of the properties property.
`SelectorsType` | `getSelectors()` Gets the value of the selectors property.
`java.lang.String` | `getTreatPointersAs()` Gets the value of the treatPointersAs property.
`java.util.List` | `getUserNotes()` Gets the value of the UserNotes property.
`java.util.List` | `getUserPointers()` Gets the value of the UserPointers property.
`java.math.BigDecimal` | `getVersion()` Gets the value of the version property.
`void` | `setBasedOn(java.lang.String value)` Sets the value of the basedOn property.
`void` | `setCardId(java.lang.String value)` Sets the value of the cardId property.
`void` | `setCommentOn(PointersType value)` Sets the value of the commentOn property.
`void` | `setData(ContentAgentContainerLocationType value)` Sets the value of the data property.
`void` | `setEncoding(java.lang.String value)` Sets the value of the encoding property.
`void` | `setProperties(PropertiesType value)` Sets the value of the properties property.
`void` | `setSelectors(SelectorsType value)` Sets the value of the selectors property.
`void` | `setTreatPointersAs(java.lang.String value)` Sets the value of the treatPointersAs property.
`void` | `setVersion(java.math.BigDecimal value)` Sets the value of the version property.

Method Detail

### getCardId

    java.lang.String getCardId()

  Gets the value of the cardId property.

  Returns:
    possible object is `String`

### setCardId

    void setCardId(java.lang.String value)

  Sets the value of the cardId property.

  Parameters:
    `value` - allowed object is `String`

### getDvprXml

    java.util.List getDvprXml()

  Gets the value of the DvprXml property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DvprXml property.

  For example, to add a new item, do as follows:

          getDvprXml().add(newItem);

  Objects of the following type(s) are allowed in the list `AnyWithOwnerType`

### getEncoding

    java.lang.String getEncoding()

  Gets the value of the encoding property.

  Returns:
    possible object is `String`

### setEncoding

    void setEncoding(java.lang.String value)

  Sets the value of the encoding property.

  Parameters:
    `value` - allowed object is `String`

### getSelectors

    SelectorsType getSelectors()

  Gets the value of the selectors property.

  Returns:
    possible object is `SelectorsType`

### setSelectors

    void setSelectors(SelectorsType value)

  Sets the value of the selectors property.

  Parameters:
    `value` - allowed object is `SelectorsType`

### getUserPointers

    java.util.List getUserPointers()

  Gets the value of the UserPointers property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the UserPointers property.

  For example, to add a new item, do as follows:

          getUserPointers().add(newItem);

  Objects of the following type(s) are allowed in the list `ExtendedPointersWithOwnerType`

### getProperties

    PropertiesType getProperties()

  Gets the value of the properties property.

  Returns:
    possible object is `PropertiesType`

### setProperties

    void setProperties(PropertiesType value)

  Sets the value of the properties property.

  Parameters:
    `value` - allowed object is `PropertiesType`

### getData

    ContentAgentContainerLocationType getData()

  Gets the value of the data property.

  Returns:
    possible object is `ContentAgentContainerLocationType`

### setData

    void setData(ContentAgentContainerLocationType value)

  Sets the value of the data property.

  Parameters:
    `value` - allowed object is `ContentAgentContainerLocationType`

### getUserNotes

    java.util.List getUserNotes()

  Gets the value of the UserNotes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the UserNotes property.

  For example, to add a new item, do as follows:

          getUserNotes().add(newItem);

  Objects of the following type(s) are allowed in the list `RichTextWithOwnerType`

### getTreatPointersAs

    java.lang.String getTreatPointersAs()

  Gets the value of the treatPointersAs property.

  Returns:
    possible object is `String`

### setTreatPointersAs

    void setTreatPointersAs(java.lang.String value)

  Sets the value of the treatPointersAs property.

  Parameters:
    `value` - allowed object is `String`

### getDvprPointers

    java.util.List getDvprPointers()

  Gets the value of the DvprPointers property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DvprPointers property.

  For example, to add a new item, do as follows:

          getDvprPointers().add(newItem);

  Objects of the following type(s) are allowed in the list `ExtendedPointersWithOwnerType`

### getCommentOn

    PointersType getCommentOn()

  Gets the value of the commentOn property.

  Returns:
    possible object is `PointersType`

### setCommentOn

    void setCommentOn(PointersType value)

  Sets the value of the commentOn property.

  Parameters:
    `value` - allowed object is `PointersType`

### getBasedOn

    java.lang.String getBasedOn()

  Gets the value of the basedOn property.

  Returns:
    possible object is `String`

### setBasedOn

    void setBasedOn(java.lang.String value)

  Sets the value of the basedOn property.

  Parameters:
    `value` - allowed object is `String`

### getDvprNotes

    java.util.List getDvprNotes()

  Gets the value of the DvprNotes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DvprNotes property.

  For example, to add a new item, do as follows:

          getDvprNotes().add(newItem);

  Objects of the following type(s) are allowed in the list `RichTextWithOwnerType`

### getVersion

    java.math.BigDecimal getVersion()

  Gets the value of the version property.

  Returns:
    possible object is `BigDecimal`

### setVersion

    void setVersion(java.math.BigDecimal value)

  Sets the value of the version property.

  Parameters:
    `value` - allowed object is `BigDecimal`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD